> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/receivables/post-receivables-id-issue/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Issue a receivable POST https://api.sandbox.monite.com/v1/receivables/{receivable_id}/issue Reference: https://docs.monite.com/api/receivables/post-receivables-id-issue ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Path parameters - `receivable_id` (string, required) ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ## Response ### 200 Successful Response - `ReceivableResponse` - `type`: `quote` - `counterpart_id` (string, required) — Unique ID of the counterpart. - `counterpart_type` (enum, required) — The type of the counterpart. - Allowed values: `individual`, `organization` - `created_at` (datetime, required) — Time at which the receivable was created. Timestamps follow the ISO 8601 standard. - `currency` (enum, required) — The currency used in the receivable. - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `entity` (QuoteResponsePayloadEntity, required) - `entity_address` (ReceivableEntityAddressSchema, required) — A schema represents address info of the entity - `file_language` (enum, required) — The language of the customer-facing PDF file (`file_url`). The value matches the counterpart's `language` at the time when this PDF file was generated. - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu` - `id` (string, required) - `line_items` (list of ResponseItem, required) - `original_file_language` (enum, required) — The language of the entity's copy of the PDF file (`original_file_url`). The value matches the entity's `language` at the time when this PDF file was generated. - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu` - `status` (enum, required) — The status of the Quote inside the receivable workflow. - Allowed values: `draft`, `issued`, `accepted`, `expired`, `declined` - `total_vat_amount` (integer, required) — The total VAT of all line items, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `updated_at` (datetime, required) — Time at which the receivable was last updated. Timestamps follow the ISO 8601 standard. - `attachments` (list of AttachmentResponse, optional) — List of attachments to include with the receivable. Each attachment can be configured for email inclusion. If not provided, no attachments will be associated. - `based_on` (string, optional) — The unique ID of a previous document related to the receivable if applicable. - `based_on_document_id` (string, optional) — The unique document ID of a previous document related to the receivable if applicable. - `comment` (string, optional) — Field with a comment on why the client declined this Quote - `commercial_condition_description` (string, optional) — The commercial terms of the receivable (e.g. The products must be delivered in X days). - `counterpart_billing_address` (ReceivablesRepresentationOfCounterpartAddress, optional) — Address of invoicing, need to state as a separate fields for some countries if it differs from address of a company. - `counterpart_business_type` (string, optional) — Different types of companies for different countries, ex. GmbH, SAS, SNC, etc. - `counterpart_contact` (ReceivableCounterpartContact, optional) — Additional information about counterpart contacts. - `counterpart_external_reference` (string, optional) — The external reference of the counterpart. - `counterpart_name` (string, optional) — A legal name of a counterpart it is an organization or first and last name if it is an individual - `counterpart_shipping_address` (ReceivablesRepresentationOfCounterpartAddress, optional) — Address where goods were shipped / where services were provided. - `counterpart_tax_id` (string, optional) — The VAT/TAX ID of the counterpart. - `counterpart_vat_id` (ReceivableCounterpartVatIdResponse, optional) - `deductions` (list of DeductionItem, optional) — List of deductions applied to the receivable (maximum 10 deductions allowed) - `discount` (DiscountResponse, optional) — The discount for a receivable. - `discounted_subtotal` (integer, optional) — Total price of the receivable with discounts before taxes [minor units](https://docs.monite.com/references/currencies#minor-units). - `document_id` (string, optional) — The sequential code systematically assigned to invoices. - `document_rendering` (DocumentRenderingSettings, optional) — Settings for rendering documents in PDF format, including settings for line items and specific document types. - `due_date` (string, optional) — Optional field representing date until which invoice should be paid - `einvoice_file_url` (string, optional) — E-invoice XML file that was sent to the counterpart via an e-invoicing network. Available only if `is_einvoice` is `true`. - `entity_bank_account` (ReceivablesRepresentationOfEntityBankAccount, optional) - `entity_user_id` (string, optional) — The entity user who created this document. - `entity_vat_id` (ReceivableEntityVatIdResponse, optional) - `expiry_date` (string, optional) — The date (in ISO 8601 format) until which the quote is valid. - `file` (ReceivableFileSchema, optional) — Represents a file (such as a PDF invoice) that was uploaded to Monite. - `file_url` (string, optional) — The receivable's PDF URL in the counterpart's default language. - `footer` (string, optional) — Optional text displayed below the line items table in the PDF. - `issue_date` (datetime, optional) — Optional field for the issue of the entry. - `memo` (string, optional) — A note with additional information for a receivable. - `original_file_url` (string, optional) — The receivable's PDF URL in the entity's default language. - `partner_metadata` (map from string to any, optional) — Metadata for partner needs - `project_id` (string, optional) — A project related to current receivable - `quote_accept_page_url` (string, optional) — Link for custom quote accept page - `signature_required` (boolean, optional) — Whether acceptance a quote requires a signature. - `subtotal` (integer, optional) — The subtotal (excluding VAT), in [minor units](https://docs.monite.com/references/currencies#minor-units). - `subtotal_after_vat` (integer, optional) — The subtotal including VAT but without invoice discount, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `tags` (list of TagReadSchema, optional) — The list of tags for this receivable. - `total_amount` (integer, optional, default: 0) — Total price of the receivable in [minor units](https://docs.monite.com/references/currencies#minor-units). Calculated as a subtotal + total_vat_amount. - `total_deduction_amount` (integer, optional) — The total deduction amount of all deductions, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `total_vat_amounts` (list of TotalVatAmountItem, optional) — List of total vat amount for each VAT, presented in receivable - `total_withholding_tax` (integer, optional) — Total price of the receivable with tax withheld in minor units - `trade_name` (string, optional) — Trade name of the entity - `vat_exempt` (boolean, optional) — Indicates whether the goods, materials, or services listed in the receivable are exempt from VAT or not. - `vat_exemption_rationale` (string, optional) — The reason for the VAT exemption, if applicable. - `vat_inclusive_discount_mode` (enum, optional) — Indicates whether the discount is applied to the VAT-inclusive or VAT-exclusive amount. - Allowed values: `exclusive`, `inclusive` - `vat_mode` (enum, optional) — Defines whether the prices of products in receivable will already include VAT or not. - Allowed values: `exclusive`, `inclusive` - `withholding_tax_rate` (integer, optional) — The amount of tax withheld in percent minor units - `deduction_amount` (integer, optional, deprecated) — The amount of tax deducted in minor units - `deduction_memo` (string, optional, deprecated) — A note with additional information about a tax deduction - `type`: `invoice` - `amount_due` (integer, required) — How much is left to be paid in [minor units](https://docs.monite.com/references/currencies#minor-units). Equal 0 if the Invoice is fully paid. - `amount_paid` (integer, required) — How much has been paid [minor units](https://docs.monite.com/references/currencies#minor-units) - `counterpart_id` (string, required) — Unique ID of the counterpart. - `counterpart_type` (enum, required) — The type of the counterpart. - Allowed values: `individual`, `organization` - `created_at` (datetime, required) — Time at which the receivable was created. Timestamps follow the ISO 8601 standard. - `currency` (enum, required) — The currency used in the receivable. - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `entity` (InvoiceResponsePayloadEntity, required) - `entity_address` (ReceivableEntityAddressSchema, required) — A schema represents address info of the entity - `file_language` (enum, required) — The language of the customer-facing PDF file (`file_url`). The value matches the counterpart's `language` at the time when this PDF file was generated. - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu` - `id` (string, required) - `line_items` (list of ResponseItem, required) - `original_file_language` (enum, required) — The language of the entity's copy of the PDF file (`original_file_url`). The value matches the entity's `language` at the time when this PDF file was generated. - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu` - `related_documents` (RelatedDocuments, required) — Ids of documents that relate to invoice. I.e credit notes, proforma invoices, etc. - `status` (enum, required) — The status of the receivable inside the receivable workflow. - Allowed values: `draft`, `issuing`, `issued`, `failed`, `accepted`, `expired`, `declined`, `recurring`, `partially_paid`, `paid`, `overdue`, `uncollectible`, `canceled` - `total_amount_with_credit_notes` (integer, required) — The total price of the receivable in [minor units](https://docs.monite.com/references/currencies#minor-units), including VAT and excluding all issued credit notes. - `total_vat_amount` (integer, required) — The total VAT of all line items, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `updated_at` (datetime, required) — Time at which the receivable was last updated. Timestamps follow the ISO 8601 standard. - `amount_to_pay` (integer, optional) — How much is left to be paid in in [minor units](https://docs.monite.com/references/currencies#minor-units), including payment_term discounts. - `attachments` (list of AttachmentResponse, optional) — List of attachments to include with the receivable. Each attachment can be configured for email inclusion. If not provided, no attachments will be associated. - `based_on` (string, optional) — The unique ID of a previous document related to the receivable if applicable. - `based_on_document_id` (string, optional) — The unique document ID of a previous document related to the receivable if applicable. - `comment` (string, optional) — Field with a comment for pay/partially/uncollectible info on this Invoice - `commercial_condition_description` (string, optional) — The commercial terms of the receivable (e.g. The products must be delivered in X days). - `counterpart_billing_address` (ReceivablesRepresentationOfCounterpartAddress, optional) — Address of invoicing, need to state as a separate fields for some countries if it differs from address of a company. - `counterpart_business_type` (string, optional) — Different types of companies for different countries, ex. GmbH, SAS, SNC, etc. - `counterpart_contact` (ReceivableCounterpartContact, optional) — Additional information about counterpart contacts. - `counterpart_einvoicing_credentials` (EinvoicingCredentials, optional) — E-invoicing credentials of the counterpart - `counterpart_external_reference` (string, optional) — The external reference of the counterpart. - `counterpart_name` (string, optional) — A legal name of a counterpart it is an organization or first and last name if it is an individual - `counterpart_shipping_address` (ReceivablesRepresentationOfCounterpartAddress, optional) — Address where goods were shipped / where services were provided. - `counterpart_tax_id` (string, optional) — The VAT/TAX ID of the counterpart. - `counterpart_vat_id` (ReceivableCounterpartVatIdResponse, optional) - `deductions` (list of DeductionItem, optional) — List of deductions applied to the receivable (maximum 10 deductions allowed) - `discount` (DiscountResponse, optional) — The discount for a receivable. - `discounted_subtotal` (integer, optional) — Total price of the receivable with discounts before taxes [minor units](https://docs.monite.com/references/currencies#minor-units). - `document_id` (string, optional) — The sequential code systematically assigned to invoices. - `document_rendering` (DocumentRenderingSettings, optional) — Settings for rendering documents in PDF format, including settings for line items and specific document types. - `due_date` (string, optional) — Optional field representing date until which invoice should be paid - `einvoice_error_comment` (string, optional) — Error that was returned by E-invoicing - `einvoice_file_url` (string, optional) — E-invoice XML file that was sent to the counterpart via an e-invoicing network. Available only if `is_einvoice` is `true`. - `entity_bank_account` (ReceivablesRepresentationOfEntityBankAccount, optional) - `entity_user_id` (string, optional) — The entity user who created this document. - `entity_vat_id` (ReceivableEntityVatIdResponse, optional) - `file` (ReceivableFileSchema, optional) — Represents a file (such as a PDF invoice) that was uploaded to Monite. - `file_url` (string, optional) — The receivable's PDF URL in the counterpart's default language. - `footer` (string, optional) — Optional text displayed below the line items table in the PDF. - `fulfillment_date` (string, optional) — The date when the goods are shipped or the service is provided. Can be a current, past, or future date. Some countries require the fulfillment date in invoices for regulatory compliance. In this case, if the fulfillment date was not provided by the user, it is automatically set to the invoice issue date once the invoice gets issued. In countries where the fulfillment date is optional, Monite does not auto-assign it if it was omitted by the user. - `is_einvoice` (boolean, optional, default: false) — Is this Invoice will be sent through E-invoice system - `issue_date` (datetime, optional) — Optional field for the issue of the entry. - `memo` (string, optional) — A note with additional information for a receivable. - `network_credentials` (EinvoicingCredentials, optional) — E-invoicing credentials of the entity - `original_file_url` (string, optional) — The receivable's PDF URL in the entity's default language. - `overdue_reminder_id` (string, optional) - `paid_at` (datetime, optional) — Date and time when the invoice was paid. - `partner_metadata` (map from string to any, optional) — Metadata for partner needs - `payment_page_url` (string, optional) — Link to the invoice's payment page. Either Monite's payment links or your custom payment links. - `payment_reminder_id` (string, optional) - `payment_terms` (PaymentTerms, optional) - `project_id` (string, optional) — A project related to current receivable - `purchase_order` (string, optional) — Contain purchase order number. - `recurrence_id` (string, optional) — Stores an unique ID of a recurrence if the receivable is in a recurring status - `subtotal` (integer, optional) — The subtotal (excluding VAT), in [minor units](https://docs.monite.com/references/currencies#minor-units). - `subtotal_after_vat` (integer, optional) — The subtotal including VAT but without invoice discount, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `tags` (list of TagReadSchema, optional) — The list of tags for this receivable. - `total_amount` (integer, optional, default: 0) — Total price of the receivable in [minor units](https://docs.monite.com/references/currencies#minor-units). Calculated as a subtotal + total_vat_amount. - `total_deduction_amount` (integer, optional) — The total deduction amount of all deductions, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `total_vat_amounts` (list of TotalVatAmountItem, optional) — List of total vat amount for each VAT, presented in receivable - `total_withholding_tax` (integer, optional) — Total price of the receivable with tax withheld in minor units - `trade_name` (string, optional) — Trade name of the entity - `vat_exempt` (boolean, optional) — Indicates whether the goods, materials, or services listed in the receivable are exempt from VAT or not. - `vat_exemption_rationale` (string, optional) — The reason for the VAT exemption, if applicable. - `vat_inclusive_discount_mode` (enum, optional) — Indicates whether the discount is applied to the VAT-inclusive or VAT-exclusive amount. - Allowed values: `exclusive`, `inclusive` - `vat_mode` (enum, optional) — Defines whether the prices of products in receivable will already include VAT or not. - Allowed values: `exclusive`, `inclusive` - `withholding_tax_rate` (integer, optional) — The amount of tax withheld in percent minor units - `deduction_amount` (integer, optional, deprecated) — The amount of tax deducted in minor units - `deduction_memo` (string, optional, deprecated) — A note with additional information about a tax deduction - `type`: `credit_note` - `counterpart_id` (string, required) — Unique ID of the counterpart. - `counterpart_type` (enum, required) — The type of the counterpart. - Allowed values: `individual`, `organization` - `created_at` (datetime, required) — Time at which the receivable was created. Timestamps follow the ISO 8601 standard. - `currency` (enum, required) — The currency used in the receivable. - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `entity` (CreditNoteResponsePayloadEntity, required) - `entity_address` (ReceivableEntityAddressSchema, required) — A schema represents address info of the entity - `file_language` (enum, required) — The language of the customer-facing PDF file (`file_url`). The value matches the counterpart's `language` at the time when this PDF file was generated. - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu` - `id` (string, required) - `line_items` (list of ResponseItem, required) - `original_file_language` (enum, required) — The language of the entity's copy of the PDF file (`original_file_url`). The value matches the entity's `language` at the time when this PDF file was generated. - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu` - `status` (enum, required) — The status of the Credit Note inside the receivable workflow. - Allowed values: `draft`, `issuing`, `issued`, `failed` - `total_vat_amount` (integer, required) — The total VAT of all line items, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `updated_at` (datetime, required) — Time at which the receivable was last updated. Timestamps follow the ISO 8601 standard. - `attachments` (list of AttachmentResponse, optional) — List of attachments to include with the receivable. Each attachment can be configured for email inclusion. If not provided, no attachments will be associated. - `based_on` (string, optional) — The unique ID of a previous document related to the receivable if applicable. - `based_on_document_id` (string, optional) — The unique document ID of a previous document related to the receivable if applicable. - `commercial_condition_description` (string, optional) — The commercial terms of the receivable (e.g. The products must be delivered in X days). - `counterpart_billing_address` (ReceivablesRepresentationOfCounterpartAddress, optional) — Address of invoicing, need to state as a separate fields for some countries if it differs from address of a company. - `counterpart_business_type` (string, optional) — Different types of companies for different countries, ex. GmbH, SAS, SNC, etc. - `counterpart_contact` (ReceivableCounterpartContact, optional) — Additional information about counterpart contacts. - `counterpart_einvoicing_credentials` (EinvoicingCredentials, optional) — E-invoicing credentials of the counterpart - `counterpart_external_reference` (string, optional) — The external reference of the counterpart. - `counterpart_name` (string, optional) — A legal name of a counterpart it is an organization or first and last name if it is an individual - `counterpart_shipping_address` (ReceivablesRepresentationOfCounterpartAddress, optional) — Address where goods were shipped / where services were provided. - `counterpart_tax_id` (string, optional) — The VAT/TAX ID of the counterpart. - `counterpart_vat_id` (ReceivableCounterpartVatIdResponse, optional) - `deductions` (list of DeductionItem, optional) — List of deductions applied to the receivable (maximum 10 deductions allowed) - `discount` (DiscountResponse, optional) — The discount for a receivable. - `discounted_subtotal` (integer, optional) — Total price of the receivable with discounts before taxes [minor units](https://docs.monite.com/references/currencies#minor-units). - `document_id` (string, optional) — The sequential code systematically assigned to invoices. - `document_rendering` (DocumentRenderingSettings, optional) — Settings for rendering documents in PDF format, including settings for line items and specific document types. - `due_date` (string, optional) — Optional field representing date until which invoice should be paid - `einvoice_error_comment` (string, optional) — Error that was returned by E-invoicing - `einvoice_file_url` (string, optional) — E-invoice XML file that was sent to the counterpart via an e-invoicing network. Available only if `is_einvoice` is `true`. - `entity_bank_account` (ReceivablesRepresentationOfEntityBankAccount, optional) - `entity_user_id` (string, optional) — The entity user who created this document. - `entity_vat_id` (ReceivableEntityVatIdResponse, optional) - `file` (ReceivableFileSchema, optional) — Represents a file (such as a PDF invoice) that was uploaded to Monite. - `file_url` (string, optional) — The receivable's PDF URL in the counterpart's default language. - `footer` (string, optional) — Optional text displayed below the line items table in the PDF. - `is_einvoice` (boolean, optional, default: false) — If `true`, the credit note will be sent through an e-invoicing network. The value is inherited from the invoice for which the credit note was created, and cannot be changed. - `issue_date` (datetime, optional) — Optional field for the issue of the entry. - `memo` (string, optional) — A note with additional information for a receivable. - `network_credentials` (EinvoicingCredentials, optional) — E-invoicing credentials of the entity - `original_file_url` (string, optional) — The receivable's PDF URL in the entity's default language. - `partner_metadata` (map from string to any, optional) — Metadata for partner needs - `project_id` (string, optional) — A project related to current receivable - `purchase_order` (string, optional) — Contain purchase order number. - `subtotal` (integer, optional) — The subtotal (excluding VAT), in [minor units](https://docs.monite.com/references/currencies#minor-units). - `subtotal_after_vat` (integer, optional) — The subtotal including VAT but without invoice discount, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `tags` (list of TagReadSchema, optional) — The list of tags for this receivable. - `total_amount` (integer, optional, default: 0) — Total price of the receivable in [minor units](https://docs.monite.com/references/currencies#minor-units). Calculated as a subtotal + total_vat_amount. - `total_deduction_amount` (integer, optional) — The total deduction amount of all deductions, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `total_vat_amounts` (list of TotalVatAmountItem, optional) — List of total vat amount for each VAT, presented in receivable - `total_withholding_tax` (integer, optional) — Total price of the receivable with tax withheld in minor units - `trade_name` (string, optional) — Trade name of the entity - `vat_exempt` (boolean, optional) — Indicates whether the goods, materials, or services listed in the receivable are exempt from VAT or not. - `vat_exemption_rationale` (string, optional) — The reason for the VAT exemption, if applicable. - `vat_inclusive_discount_mode` (enum, optional) — Indicates whether the discount is applied to the VAT-inclusive or VAT-exclusive amount. - Allowed values: `exclusive`, `inclusive` - `vat_mode` (enum, optional) — Defines whether the prices of products in receivable will already include VAT or not. - Allowed values: `exclusive`, `inclusive` - `withholding_tax_rate` (integer, optional) — The amount of tax withheld in percent minor units - `deduction_amount` (integer, optional, deprecated) — The amount of tax deducted in minor units - `deduction_memo` (string, optional, deprecated) — A note with additional information about a tax deduction ## Errors ### 400 Post Receivables ID Issue Request Bad Request Error Bad Request - `error` (ErrorSchema, required) ### 401 Post Receivables ID Issue Request Unauthorized Error Unauthorized - `error` (ErrorSchema, required) ### 403 Post Receivables ID Issue Request Forbidden Error Forbidden - `error` (ErrorSchema, required) ### 404 Post Receivables ID Issue Request Not Found Error Not found - `error` (ErrorSchema, required) ### 409 Post Receivables ID Issue Request Conflict Error Business logic error - `error` (ErrorSchema, required) ### 422 Post Receivables ID Issue Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Post Receivables ID Issue Request Internal Server Error Internal Server Error - `error` (ErrorSchema, required) ## Types ### QuoteResponsePayloadEntity - `type`: `organization` - `name` (string, required) — The name of the entity issuing the receivable, when it is an organization. - `email` (string, optional) — An email of the entity - `logo` (string, optional) — A link to the entity logo - `phone` (string, optional) — A phone number of the entity - `registration_authority` (string, optional) — The registration authority of the entity - `registration_number` (string, optional) — The registration number of the entity - `tax_id` (string, optional) — The Tax ID of the entity issuing the receivable - `vat_id` (string, optional) — The VAT ID of the entity issuing the receivable, when it is an organization. - `website` (string, optional) — A website of the entity - `type`: `individual` - `first_name` (string, required) — The first name of the entity issuing the receivable - `last_name` (string, required) — The last name of the entity issuing the receivable - `email` (string, optional) — An email of the entity - `logo` (string, optional) — A link to the entity logo - `phone` (string, optional) — A phone number of the entity - `registration_authority` (string, optional) — The registration authority of the entity - `registration_number` (string, optional) — The registration number of the entity - `tax_id` (string, optional) — The Tax ID of the entity issuing the receivable - `website` (string, optional) — A website of the entity ### ReceivableEntityAddressSchema A schema represents address info of the entity - `city` (string, required) — A city (a full name) where the entity is registered - `line1` (string, required) — A street where the entity is registered - `postal_code` (string, required) — A postal code of the address where the entity is registered - `country` (enum, optional) — A country name (as ISO code) where the entity is registered - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `line2` (string, optional) — An alternative street used by the entity - `state` (string, optional) — A state in a country where the entity is registered ### ResponseItem - `product` (LineItemProduct, required) - `quantity` (double, required) — The quantity of each of the goods, materials, or services listed in the receivable. - `total_after_vat` (integer, required) — Total of line_item after VAT with applied line item discount in [minor units](https://docs.monite.com/references/currencies#minor-units). - `total_before_vat` (integer, required) — Total of line_item before VAT in [minor units](https://docs.monite.com/references/currencies#minor-units). - `discount` (Discount, optional) — The discount for a product. - `tax_status` (enum, optional) — Tax applicability status of the line item. Possible values: * `taxable` (default) - Standard tax behavior. Requires the tax rate to be specified. * `exempt` - Line item is exempt from taxes. Exempt items are not included in total tax calculations. * `non_taxable` - Line item is outside the tax scope entirely, cannot have tax rates. - Allowed values: `taxable`, `exempt`, `non_taxable` ### AttachmentResponse - `id` (string, required) — Unique ID of the file with file_type=attachment from /v1/files. - `mimetype` (string, required) — MIME type of the file (e.g., 'application/pdf'). - `name` (string, required) — Original filename of the attachment. - `size` (integer, required) — File size in bytes. - `url` (string, required) — URL to access the attachment file. - `include_in_email` (boolean, optional, default: false) — Indicates whether the file would be included in the email. ### ReceivablesRepresentationOfCounterpartAddress - `city` (string, required) — City name. - `country` (enum, required) — Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `line1` (string, required) — Street address. - `postal_code` (string, required) — ZIP or postal code. - `id` (string, optional) — Unique ID of the address in the system - `line2` (string, optional) — Additional address information (if any). - `state` (string, optional) — State, region, province, or county. ### ReceivableCounterpartContact - `address` (ReceivablesRepresentationOfCounterpartAddress, required) — The contact address of the counterpart - `first_name` (string, required) — The first name of the counterpart contact. - `last_name` (string, required) — The last name of the counterpart contact. - `email` (string, optional) — The contact email of the counterpart. - `phone` (string, optional) — The contact phone number of the counterpart. - `title` (string, optional) — The counterpart contact title (e.g. Dr., Mr., Mrs., Ms., etc). ### ReceivableCounterpartVatIdResponse - `id` (string, required) - `counterpart_id` (string, required) - `value` (string, required) - `country` (enum, optional) - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `type` (enum, optional) - Allowed values: `ae_trn`, `au_abn`, `au_arn`, `bg_uic`, `br_cnpj`, `br_cpf`, `ca_bn`, `ca_gst_hst`, `ca_pst_bc`, `ca_pst_mb`, `ca_pst_sk`, `ca_qst`, `ch_vat`, `cl_tin`, `es_cif`, `eu_oss_vat`, `eu_vat`, `gb_vat`, `ge_vat`, `hk_br`, `hu_tin`, `id_npwp`, `il_vat`, `in_gst`, `is_vat`, `jp_cn`, `jp_rn`, `kr_brn`, `li_uid`, `mx_rfc`, `my_frp`, `my_itn`, `my_sst`, `no_vat`, `nz_gst`, `ru_inn`, `ru_kpp`, `sa_vat`, `sg_gst`, `sg_uen`, `si_tin`, `th_vat`, `tw_vat`, `ua_vat`, `us_ein`, `za_vat`, `unknown` ### DeductionItem - `amount` (integer, required) — The deduction amount in [minor units](https://docs.monite.com/references/currencies#minor-units) - `name` (string, required) — Name or title of this deduction - `memo` (string, optional) — A note with additional information about this deduction ### DiscountResponse - `amount` (integer, required) — The actual discount of the product in [minor units](https://docs.monite.com/references/currencies#minor-units) if type field equals amount, else in percent minor units - `type` (enum, required) — The field specifies whether to use product currency or %. - Allowed values: `amount`, `percentage` - `value` (integer, optional) — The monetary amount of the discount, in [minor units](https://docs.monite.com/references/currencies#minor-units). If the discount `type` is `amount`, this value is the same as the `amount` value. If `type` is `percentage`, the value is the calculated discount amount. ### DocumentRenderingSettings Settings for rendering documents in PDF format, including settings for line items and specific document types. - `credit_note` (CreditNoteRenderingSettings, optional) — Credit note-specific rendering settings for PDF documents. - `display_entity_bank_account` (boolean, optional, default: true) — If set to `true`, the entity's bank account details will be displayed on the PDF documents. Defaults to `true`. - `display_line_items` (boolean, optional, default: true) — If set to `true`, the line items table will be displayed on the quote PDF. Defaults to `true`. - `invoice` (InvoiceRenderingSettings, optional) — Invoice-specific rendering settings for PDF documents. - `line_items` (LineItemsRenderingSettings, optional) — Settings for rendering line items in PDF documents. - `quote` (QuoteRenderingSettings, optional) — Quote-specific rendering settings for PDF documents. ### ReceivablesRepresentationOfEntityBankAccount - `id` (string, optional) — Unique ID of the entity bank account. - `account_holder_name` (string, optional) — Account holder's name - `account_number` (string, optional) — Account number (required if IBAN is not provided) - `bank_name` (string, optional) — The name of the entity's bank account. - `bic` (string, optional) — The BIC of the entity's bank account. - `iban` (string, optional) — The IBAN of the entity's bank account. - `routing_number` (string, optional) — Routing number (US) - `sort_code` (string, optional) — Sort code (GB) ### ReceivableEntityVatIdResponse - `id` (string, required) - `country` (enum, required) - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `entity_id` (string, required) - `value` (string, required) - `type` (enum, optional) - Allowed values: `ae_trn`, `au_abn`, `au_arn`, `bg_uic`, `br_cnpj`, `br_cpf`, `ca_bn`, `ca_gst_hst`, `ca_pst_bc`, `ca_pst_mb`, `ca_pst_sk`, `ca_qst`, `ch_vat`, `cl_tin`, `es_cif`, `eu_oss_vat`, `eu_vat`, `gb_vat`, `ge_vat`, `hk_br`, `hu_tin`, `id_npwp`, `il_vat`, `in_gst`, `is_vat`, `jp_cn`, `jp_rn`, `kr_brn`, `li_uid`, `mx_rfc`, `my_frp`, `my_itn`, `my_sst`, `no_vat`, `nz_gst`, `ru_inn`, `ru_kpp`, `sa_vat`, `sg_gst`, `sg_uen`, `si_tin`, `th_vat`, `tw_vat`, `ua_vat`, `us_ein`, `za_vat`, `unknown` ### ReceivableFileSchema Represents a file (such as a PDF invoice) that was uploaded to Monite. - `id` (string, required) — A unique ID of this file. - `created_at` (datetime, required) — UTC date and time when this file was uploaded to Monite. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. - `file_type` (string, required) — The type of the business object associated with this file. - `md5` (string, required) — The MD5 hash of the file. - `mimetype` (string, required) — The file's [media type](https://developer.mozilla.org/en-US/docs/Web/HTTP/MIME_types). - `name` (string, required) — The original file name (if available). - `region` (string, required) — Geographical region of the data center where the file is stored. - `size` (integer, required) — The file size in bytes. - `url` (string, required) — The URL to download the file. - `pages` (list of ReceivablePageSchema, optional) — If the file is a PDF document, this property contains individual pages extracted from the file. Otherwise, an empty array. - `previews` (list of ReceivablePreviewSchema, optional) — Preview images generated for this file. There can be multiple images with different sizes. ### TagReadSchema Represents a user-defined tag that can be assigned to resources to filter them. - `id` (string, required) — A unique ID of this tag. - `created_at` (datetime, required) — Date and time when the tag was created. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard. - `updated_at` (datetime, required) — Date and time when the tag was last updated. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard. - `name` (string, required) — The tag name. - `category` (enum, optional) — The tag category. - Allowed values: `document_type`, `department`, `project`, `cost_center`, `vendor_type`, `payment_method`, `approval_status` - `created_by_entity_user_id` (string, optional) — ID of the user who created the tag. - `description` (string, optional) — The tag description. ### TotalVatAmountItem - `amount` (integer, required) — The total VAT of all line items, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `taxable_amount` (integer, required) — The amount on which this VAT is calculated, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `value` (integer, required) — Percent minor units. Example: 12.5% is 1250. - `id` (string, optional) - `components` (list of TotalVatAmountItemComponent, optional) — Sub-taxes included in the VAT. - `name` (string, optional) — Display name of the vat rate. ### InvoiceResponsePayloadEntity - `type`: `organization` - `name` (string, required) — The name of the entity issuing the receivable, when it is an organization. - `email` (string, optional) — An email of the entity - `logo` (string, optional) — A link to the entity logo - `phone` (string, optional) — A phone number of the entity - `registration_authority` (string, optional) — The registration authority of the entity - `registration_number` (string, optional) — The registration number of the entity - `tax_id` (string, optional) — The Tax ID of the entity issuing the receivable - `vat_id` (string, optional) — The VAT ID of the entity issuing the receivable, when it is an organization. - `website` (string, optional) — A website of the entity - `type`: `individual` - `first_name` (string, required) — The first name of the entity issuing the receivable - `last_name` (string, required) — The last name of the entity issuing the receivable - `email` (string, optional) — An email of the entity - `logo` (string, optional) — A link to the entity logo - `phone` (string, optional) — A phone number of the entity - `registration_authority` (string, optional) — The registration authority of the entity - `registration_number` (string, optional) — The registration number of the entity - `tax_id` (string, optional) — The Tax ID of the entity issuing the receivable - `website` (string, optional) — A website of the entity ### RelatedDocuments - `credit_note_ids` (list of string, optional) - `proforma_invoice_id` (string, optional) ### EinvoicingCredentials - `id` (string, required) - `network_identifier` (string, required) - `network_schema` (string, required) ### PaymentTerms - `term_final` (InlineTermFinal, required) — The final tier of the payment term. Defines the invoice due date. - `id` (string, optional) - `description` (string, optional) — Description of the payment term. - `name` (string, optional) - `term_1` (InlineTermDiscount, optional) — The first tier of the payment term. Represents the terms of the first early discount. - `term_2` (InlineTermDiscount, optional) — The second tier of the payment term. Defines the terms of the second early discount. ### CreditNoteResponsePayloadEntity - `type`: `organization` - `name` (string, required) — The name of the entity issuing the receivable, when it is an organization. - `email` (string, optional) — An email of the entity - `logo` (string, optional) — A link to the entity logo - `phone` (string, optional) — A phone number of the entity - `registration_authority` (string, optional) — The registration authority of the entity - `registration_number` (string, optional) — The registration number of the entity - `tax_id` (string, optional) — The Tax ID of the entity issuing the receivable - `vat_id` (string, optional) — The VAT ID of the entity issuing the receivable, when it is an organization. - `website` (string, optional) — A website of the entity - `type`: `individual` - `first_name` (string, required) — The first name of the entity issuing the receivable - `last_name` (string, required) — The last name of the entity issuing the receivable - `email` (string, optional) — An email of the entity - `logo` (string, optional) — A link to the entity logo - `phone` (string, optional) — A phone number of the entity - `registration_authority` (string, optional) — The registration authority of the entity - `registration_number` (string, optional) — The registration number of the entity - `tax_id` (string, optional) — The Tax ID of the entity issuing the receivable - `website` (string, optional) — A website of the entity ### ErrorSchema - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### LineItemProduct - `id` (string, required) — Unique ID of the product. - `created_at` (datetime, required) — Time at which the product was created. Timestamps follow the ISO 8601 standard. - `updated_at` (datetime, required) — Time at which the product was last updated. Timestamps follow the ISO 8601 standard. - `entity_id` (string, required) - `name` (string, required) — Name of the product. - `price` (Price, required) - `price_after_vat` (Price, required) - `vat_rate` (LineItemProductVatRate, required) - `accounting_tax_rate_id` (string, optional) — Unique identifier of the accounting tax rate object. - `description` (string, optional) — Description of the product. - `entity_user_id` (string, optional) - `external_reference` (string, optional) — A user-defined identifier of the product. For example, an internal product code or SKU (stock keeping unit). Client applications can use this field to map the products in Monite to an external product catalog. - `is_inline` (boolean, optional, default: false) — Indicates whether the product is inline - `ledger_account_id` (string, optional) - `measure_unit` (LineItemProductMeasureUnit, optional) - `measure_unit_id` (string, optional) — The unique ID reference of the unit used to measure the quantity of this product (e.g. items, meters, kilograms). - `smallest_amount` (double, optional) — The smallest amount allowed for this product. - `type` (enum, optional) — Specifies whether this offering is a product or service. This may affect the applicable tax rates. - Allowed values: `product`, `service` ### Discount - `amount` (integer, required) — The actual discount of the product in [minor units](https://docs.monite.com/references/currencies#minor-units) if type field equals amount, else in percent minor units - `type` (enum, required) — The field specifies whether to use product currency or %. - Allowed values: `amount`, `percentage` ### CreditNoteRenderingSettings - `display_entity_bank_account` (boolean, optional, default: true) — If set to `true`, the entity's bank account details will be displayed on the credit note PDF. ### InvoiceRenderingSettings - `display_entity_bank_account` (boolean, optional, default: true) — If set to `true`, the entity's bank account details will be displayed on the invoice PDF. ### LineItemsRenderingSettings - `discount` (LineItemColumnSettings, optional) — Settings for the discount column in the line items table. - `measure_unit` (LineItemColumnSettings, optional) — Settings for the measure unit column in the line items table. - `name` (LineItemColumnSettings, optional) — Settings for the name column in the line items table. - `price` (LineItemNumericColumnSettings, optional) — Settings for the price column in the line items table. - `price_after_vat` (LineItemNumericColumnSettings, optional) — Settings for the price after VAT column in the line items table. - `quantity` (LineItemColumnSettings, optional) — Settings for the quantity column in the line items table. - `total_price` (LineItemNumericColumnSettings, optional) — Settings for the total price column in the line items table. - `total_price_after_vat` (LineItemNumericColumnSettings, optional) — Settings for the total price after VAT column in the line items table. - `vat_amount` (LineItemNumericColumnSettings, optional) — Settings for the VAT amount column in the line items table. - `vat_rate` (LineItemNumericColumnSettings, optional) — Settings for the VAT rate column in the line items table. ### QuoteRenderingSettings - `display_entity_bank_account` (boolean, optional, default: true) — If set to `true`, the entity's bank account details will be displayed on the quote PDF. - `display_signature` (boolean, optional, default: false) — If set to `true`, the signature field will be displayed on the quote PDF. ### ReceivablePageSchema When a PDF document is uploaded to Monite, it extracts individual pages from the document and saves them as PNG images. This object contains the image and metadata of a single page. - `id` (string, required) — A unique ID of the image. - `mimetype` (string, required) — The [media type](https://developer.mozilla.org/en-US/docs/Web/HTTP/MIME_types) of the image. - `number` (integer, required) — The page number in the PDF document, from 0. - `size` (integer, required) — Image file size, in bytes. - `url` (string, required) — The URL to download the image. ### ReceivablePreviewSchema A preview image generated for a file. - `height` (integer, required) — The image height in pixels. - `url` (string, required) — The image URL. - `width` (integer, required) — The image width in pixels. ### TotalVatAmountItemComponent - `amount` (integer, required) — The total VAT of all line items, in [minor units](https://docs.monite.com/references/currencies#minor-units). - `name` (string, required) - `value` (double, required) — Percent minor units. Example: 12.5% is 1250. ### InlineTermFinal - `end_date` (string, optional) - `number_of_days` (integer, optional) — The amount of days after the invoice issue date. ### InlineTermDiscount - `discount` (integer, required) — The discount percentage in minor units. E.g., 200 means 2%. 1050 means 10.5%. - `end_date` (string, optional) - `number_of_days` (integer, optional) — The amount of days after the invoice issue date. ### ValidationErrorLocItem ### Price - `currency` (enum, required) — The currency in which the price of the product is set. - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `value` (integer, required) — The actual price of the product. ### LineItemProductVatRate - `country` (enum, required) — Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `value` (integer, required) — Percent minor units. Example: 12.5% is 1250. - `id` (string, optional) — Unique identifier of the vat rate object. - `components` (list of VatRateComponent, optional) — Sub-taxes included in the VAT. - `is_custom` (boolean, optional, default: false) — Indicates whether this vat rate is defined by user. - `name` (string, optional) — Display name of the vat rate. ### LineItemProductMeasureUnit - `created_at` (datetime, required) - `updated_at` (datetime, required) - `name` (string, required) - `id` (string, optional) - `description` (string, optional) ### LineItemColumnSettings - `display` (boolean, optional, default: true) - `label` (string, optional) — Line item table column header to override Monite's default. If not set, the Monite's default will be used. ### LineItemNumericColumnSettings Extended settings for numeric columns in line items. - `display` (boolean, optional, default: true) - `label` (string, optional) — Line item table column header to override Monite's default. If not set, the Monite's default will be used. - `precision` (integer, optional) — Number of decimal places to display for numeric values in this column. ### VatRateComponent - `name` (string, required) — Display name of the Tax. - `value` (double, required) — Percent multiplied by a 100. Example: 12.125% is 1212.5. Will be rounded to 2 decimal places ## Examples **Response** ```json { "type": "quote", "counterpart_id": "counterpart_id", "counterpart_type": "individual", "created_at": "2024-01-15T09:30:00Z", "currency": "AED", "entity": { "type": "organization", "name": "name", "email": "email", "logo": "logo", "phone": "phone", "registration_authority": "registration_authority", "registration_number": "registration_number", "tax_id": "tax_id", "vat_id": "vat_id", "website": "website" }, "entity_address": { "city": "city", "line1": "line1", "postal_code": "postal_code", "country": "AF", "line2": "line2", "state": "state" }, "file_language": "ab", "id": "id", "line_items": [ { "product": { "id": "id", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "entity_id": "entity_id", "name": "name", "price": { "currency": "AED", "value": 1 }, "price_after_vat": { "currency": "AED", "value": 1 }, "vat_rate": { "country": "AF", "value": 1, "id": "id", "components": [ { "name": "name", "value": 1.1 } ], "is_custom": true, "name": "name" }, "accounting_tax_rate_id": "accounting_tax_rate_id", "description": "description", "entity_user_id": "entity_user_id", "external_reference": "HT-1234-S-BL", "is_inline": true, "ledger_account_id": "ledger_account_id", "measure_unit": { "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "name": "name", "id": "id", "description": "description" }, "measure_unit_id": "measure_unit_id", "smallest_amount": 1.1, "type": "product" }, "quantity": 1.1, "total_after_vat": 1, "total_before_vat": 1, "discount": { "amount": 1, "type": "amount" }, "tax_status": "taxable" } ], "original_file_language": "ab", "status": "draft", "total_vat_amount": 1, "updated_at": "2024-01-15T09:30:00Z", "attachments": [ { "id": "id", "mimetype": "mimetype", "name": "name", "size": 1, "url": "url", "include_in_email": true } ], "based_on": "based_on", "based_on_document_id": "based_on_document_id", "comment": "comment", "commercial_condition_description": "commercial_condition_description", "counterpart_billing_address": { "city": "Berlin", "country": "AF", "line1": "Flughafenstrasse 52", "postal_code": "10115", "id": "id", "line2": "line2", "state": "state" }, "counterpart_business_type": "counterpart_business_type", "counterpart_contact": { "address": { "city": "Berlin", "country": "AF", "line1": "Flughafenstrasse 52", "postal_code": "10115", "id": "id", "line2": "line2", "state": "state" }, "first_name": "Marge", "last_name": "Smith", "email": "marge@example.org", "phone": "55512378654", "title": "Dr." }, "counterpart_external_reference": "counterpart_external_reference", "counterpart_name": "counterpart_name", "counterpart_shipping_address": { "city": "Berlin", "country": "AF", "line1": "Flughafenstrasse 52", "postal_code": "10115", "id": "id", "line2": "line2", "state": "state" }, "counterpart_tax_id": "counterpart_tax_id", "counterpart_vat_id": { "id": "id", "counterpart_id": "counterpart_id", "value": "123456789", "country": "AF", "type": "ae_trn" }, "deductions": [ { "amount": 1, "name": "name", "memo": "memo" } ], "discount": { "amount": 1, "type": "amount", "value": 1 }, "discounted_subtotal": 1, "document_id": "document_id", "document_rendering": { "credit_note": { "display_entity_bank_account": true }, "display_entity_bank_account": true, "display_line_items": true, "invoice": { "display_entity_bank_account": true }, "line_items": { "discount": { "display": true, "label": "label" }, "measure_unit": { "display": true, "label": "label" }, "name": { "display": true, "label": "label" }, "price": { "display": true, "label": "label", "precision": 1 }, "price_after_vat": { "display": true, "label": "label", "precision": 1 }, "quantity": { "display": true, "label": "label" }, "total_price": { "display": true, "label": "label", "precision": 1 }, "total_price_after_vat": { "display": true, "label": "label", "precision": 1 }, "vat_amount": { "display": true, "label": "label", "precision": 1 }, "vat_rate": { "display": true, "label": "label", "precision": 1 } }, "quote": { "display_entity_bank_account": true, "display_signature": true } }, "due_date": "due_date", "einvoice_file_url": "einvoice_file_url", "entity_bank_account": { "id": "id", "account_holder_name": "account_holder_name", "account_number": "account_number", "bank_name": "bank_name", "bic": "bic", "iban": "iban", "routing_number": "routing_number", "sort_code": "sort_code" }, "entity_user_id": "entity_user_id", "entity_vat_id": { "id": "id", "country": "AF", "entity_id": "entity_id", "value": "123456789", "type": "ae_trn" }, "expiry_date": "expiry_date", "file": { "id": "id", "created_at": "2024-01-15T09:30:00Z", "file_type": "payables", "md5": "31d1a2dd1ad3dfc39be849d70a68dac0", "mimetype": "application/pdf", "name": "invoice.pdf", "region": "eu-central-1", "size": 24381, "url": "https://bucketname.s3.amazonaws.com/12345/67890.pdf", "pages": [ { "id": "id", "mimetype": "image/png", "number": 0, "size": 21972, "url": "https://bucket.s3.amazonaws.com/123/456.png" } ], "previews": [ { "height": 400, "url": "https://bucketname.s3.amazonaws.com/1/2/3.png", "width": 200 } ] }, "file_url": "file_url", "footer": "footer", "issue_date": "2024-01-15T09:30:00Z", "memo": "memo", "original_file_url": "original_file_url", "partner_metadata": { "key": "value" }, "project_id": "project_id", "quote_accept_page_url": "quote_accept_page_url", "signature_required": true, "subtotal": 1, "subtotal_after_vat": 1, "tags": [ { "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5", "created_at": "2022-09-07T16:35:18Z", "updated_at": "2022-09-07T16:35:18Z", "name": "Marketing", "category": "document_type", "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5", "description": "Tag for the Marketing Department" } ], "total_amount": 1, "total_deduction_amount": 1, "total_vat_amounts": [ { "amount": 1, "taxable_amount": 1, "value": 1, "id": "id", "components": [ { "amount": 1, "name": "name", "value": 1.1 } ], "name": "name" } ], "total_withholding_tax": 1, "trade_name": "trade_name", "vat_exempt": true, "vat_exemption_rationale": "vat_exemption_rationale", "vat_inclusive_discount_mode": "exclusive", "vat_mode": "exclusive", "withholding_tax_rate": 1, "deduction_amount": 1, "deduction_memo": "deduction_memo" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/receivables/receivable_id/issue" headers = { "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " } response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/receivables/receivable_id/issue'; const options = { method: 'POST', headers: { 'x-monite-version': '2024-01-31', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/receivables/receivable_id/issue" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/receivables/receivable_id/issue") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-monite-version"] = '2024-01-31' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.sandbox.monite.com/v1/receivables/receivable_id/issue") .header("x-monite-version", "2024-01-31") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .asString(); ``` ```php request('POST', 'https://api.sandbox.monite.com/v1/receivables/receivable_id/issue', [ 'headers' => [ 'Authorization' => 'Bearer ', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/receivables/receivable_id/issue"); var request = new RestRequest(Method.POST); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/receivables/receivable_id/issue")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```